use lib::{client::Client, message::{Message, MessageKind}};
use crossterm::{
    execute,
    terminal::{
        Clear,
        ClearType,
        enable_raw_mode,
        disable_raw_mode
    },
    event::Event,
};
use std::io::{self, Write};

#[tokio::main]
pub async fn main() -> anyhow::Result<()> {
    let mut client = Client::connect("127.0.0.1", 8080).await?;

    enable_raw_mode()?;
    execute!(
        io::stdout(),
        Clear(ClearType::All),
    )?;

    for i in 1..11 {
        let message = Message::new(lib::message::MessageKind::Move, format!("Hello toto x {}!!!", i));
        client.send_message(message.unwrap().clone()).await?;
    }

    client.send_message(Message::new(MessageKind::Move, "EXIT").unwrap()).await?;

    disable_raw_mode()?;
    Ok(())
}
